Bug 971914 - [abrt] font-manager-0.5.7-6.fc18: genericpath.py:41:isdir:TypeError: coercing to Unicode: need string or buffer, NoneType found
[abrt] font-manager-0.5.7-6.fc18: genericpath.py:41:isdir:TypeError: coercing...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: font-manager (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jean-Francois Saucier
Fedora Extras Quality Assurance
abrt_hash:4fe9c95e9fafb2df654af8a711b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 10:45 EDT by Davide Repetto
Modified: 2014-02-05 16:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:43:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (512 bytes, text/plain)
2013-06-07 10:45 EDT, Davide Repetto
no flags Details
File: core_backtrace (248 bytes, text/plain)
2013-06-07 10:45 EDT, Davide Repetto
no flags Details
File: environ (2.66 KB, text/plain)
2013-06-07 10:45 EDT, Davide Repetto
no flags Details

  None (edit)
Description Davide Repetto 2013-06-07 10:45:03 EDT
Description of problem:
The problem appeared during login into MATE desktop

Version-Release number of selected component:
font-manager-0.5.7-6.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/font-sampler
dso_list:       python-libs-2.7.3-13.fc18.i686
executable:     /usr/bin/font-sampler
kernel:         3.9.4-200.fc18.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
genericpath.py:41:isdir:TypeError: coercing to Unicode: need string or buffer, NoneType found

Traceback (most recent call last):
  File "/usr/bin/font-sampler", line 134, in build_pdf
    self.collection, self.fontlist, self.outfile)
  File "/usr/bin/font-sampler", line 298, in __init__
    elif isdir(fontlist):
  File "/usr/lib/python2.7/genericpath.py", line 41, in isdir
    st = os.stat(s)
TypeError: coercing to Unicode: need string or buffer, NoneType found

Local variables in innermost frame:
s: None
Comment 1 Davide Repetto 2013-06-07 10:45:09 EDT
Created attachment 758180 [details]
File: backtrace
Comment 2 Davide Repetto 2013-06-07 10:45:12 EDT
Created attachment 758181 [details]
File: core_backtrace
Comment 3 Davide Repetto 2013-06-07 10:45:15 EDT
Created attachment 758182 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 08:54:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:43:13 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.